#ifndef PICSETDLG_H
#define PICSETDLG_H

#include <qdialog.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qpushbt.h>
#include <qbttngrp.h>
#include <qradiobt.h>
#include <qwindow.h>
#include <qgrpbox.h>
#include <ktopwidget.h>
#include <kspinbox.h>
#include <qchkbox.h>
#include "basefrac.h"
#include "kmandel.h"

class PicSetDlg : public QDialog
{
Q_OBJECT
public:
   PicSetDlg(DrawWidget* Clnt, QWidget* parent=0, const char* name=0);
   int SetValues(void);
   QRadioButton *ColRadio1, *ColRadio2, *ColRadio3;
   QCheckBox * UpdateCheck;
   KNumericSpinBox *SizeXEdit, *SizeYEdit, *IntervalEdit;
signals:

private slots:
   void S320Click();
   void S640Click();
   void S800Click();
   void S1024Click();
   void SetDefaults();
   
private:
   DrawWidget* Client;
};

#endif