#ifndef DLGFILESETTINGS_H
#define DLGFILESETTINGS_H

#include <qdialog.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qpushbt.h>
//#include <qpixmap.h>
//#include <qwindow.h>
#include <qchkbox.h>
//#include <ktopwidget.h>
#include <qlined.h>
#include <kspinbox.h>
#include <ktabctl.h>
#include <kfiledialog.h>
#include "basefrac.h"
#include "kmandel.h"

class FileSettingsDlg : public QDialog
{
Q_OBJECT
public:
   FileSettingsDlg(DrawWidget* iClient, QWidget* parent=0, const char* name=0);
   int SetValues();   // genderte Werte setzen
signals:

private slots:
   void SuchBtnClick();
   void OkBtnClick();
   void MandDirBtnClick();
   void ColorMapDirBtnClick();
      
private:
   QCheckBox* ColorMapCheck;
   DrawWidget* Client;
   QLineEdit* StartUpFileEdit, *FileMaskEdit, *FractalDirEdit, *ColorMapDirEdit;
   KConfig* Config;
   KNumericSpinBox * FileCountSpin;
   KTabCtl * Pages;
};

#endif