#include <stdio.h>
#include <kapp.h>
#include "dlgfractype.h"
#include "dlgfractype.moc"
#define TRS klocale->translate

FracTypeDlg::FracTypeDlg(QWidget* parent=0, const char* name=0):
     QDialog (parent, name, WStyle_DialogBorder)
{
int Lauf;
//fprintf(stdout,"FracTypeDlg::FracTypeDlg\n");

   setCaption(TRS("Select Fractal-Type"));
   setFixedSize(300,350);

   // Listbox
   FracList = new QListBox(this, "FracList");
   FracList->setGeometry(50,25,200,265);
   for (Lauf=0; Lauf<FracTypeCount; Lauf++)   // Liste fllen
      FracList->insertItem(FracNames[Lauf]);
   connect(FracList, SIGNAL(selected(int)), this, SLOT(accept()) );

   // OK-Button
   QPushButton *OkBtn = new QPushButton(TRS("OK"), this, "OkBtn");
   OkBtn->setGeometry(25,310,80,30);
   connect(OkBtn, SIGNAL(clicked()), SLOT(accept()) );

   // cancel-Button
   QPushButton *AbortBtn = new QPushButton(TRS("Cancel"), this, "OkBtn");
   AbortBtn->setGeometry(195,310,80,30);
   connect(AbortBtn, SIGNAL(clicked()), SLOT(reject()) );


}

void FracTypeDlg::SetFracType(int Type) {
   FracList->setCurrentItem(Type);
}

int FracTypeDlg::GetFracType() {
   return FracList->currentItem();
}
