// #include <qapp.h>
// #include <qdialog.h>
// #include <qlabel.h>
#include <stdio.h>
//#include "mandelapp.h"
#include "dlgzoomanim.h"
#include "dlgzoomanim.moc"
//extern MandelApp* MApp;
#define TRS klocale->translate

ZoomAnimDlg::ZoomAnimDlg(DrawWidget* Clnt, int ZX, int ZY, QWidget* parent=0, const char* name=0):
     QDialog (parent, name, WStyle_DialogBorder)
{
QString Strg;

   setFixedSize(300,200);
   Client = Clnt;
   EmergencyExit=FALSE;

   StatusLab = new QLabel("Windoof", this, "StatusLab");
   StatusLab->setGeometry(20,30,260,20);

   ProgressBar = new KProgress(0, Client->ZoomAnimationPics, 1, KProgress::Horizontal, this, "ProgressBar");
   ProgressBar->setGeometry(20,70,260,25);
   
   QPushButton *AbortBtn = new QPushButton(TRS("Abort"), this, "AbortBtn");
   AbortBtn->setGeometry(110,150,80,30);
   connect(AbortBtn, SIGNAL(clicked()), SLOT(Stop()) );

   Client->ZoomRectVisible = FALSE;
   Stopped = FALSE;
   PicCount = 1;
   ZoomPosX = Client->Fractal->li +
             (Client->Fractal->re - Client->Fractal->li) *
             (1.0*ZX)/Client->GetSizeX();
   ZoomPosY = Client->Fractal->un +
             (Client->Fractal->ob - Client->Fractal->un) *
             (1.0*ZY)/Client->GetSizeY();
   printf("ZPx=%7.3f ZPy=%7.3f\n",ZoomPosX,ZoomPosY);
   CenterX = Client->Fractal->li + 0.5*(Client->Fractal->re - Client->Fractal->li);
   CenterY = Client->Fractal->un + 0.5*(Client->Fractal->ob - Client->Fractal->un);
   printf("Cx=%7.3f  Cy=%7.3f\n",CenterX,CenterY);
   StepX = (ZoomPosX-CenterX)/Client->ZoomAnimationPics;
   StepY = (ZoomPosY-CenterY)/Client->ZoomAnimationPics;
   printf("Sx=%7.3f  Sy=%7.3f\n",StepX,StepY);
   SizeX = (Client->Fractal->re - Client->Fractal->li);
   SizeY = (Client->Fractal->ob - Client->Fractal->un);
   printf("Ssx=%7.3f  Ssy=%7.3f\n",SizeX,SizeY);

/*   StepX = (ZX-Client->GetSizeX()/2.0)/Client->ZoomAnimationPics;
   StepY = (ZY-Client->GetSizeY()/2.0)/Client->ZoomAnimationPics;
   ZoomPosX = (Client->GetSizeX()/2.0+StepX);
   ZoomPosY = (Client->GetSizeY()/2.0+StepY);
   printf("Sx=%7.3f  Sy=%7.3f\n",StepX,StepY);
   //printf("Zpx=%d  Zpy=%d\n",ZoomPosX,ZoomPosY);
*/
   Client->AbortCalc();
   SizeX = SizeX/Client->ZoomFactorAnimation;
   SizeY = SizeY/Client->ZoomFactorAnimation;
   Client->Fractal->li = CenterX+StepX-0.5*SizeX;
   Client->Fractal->re = CenterX+StepX+0.5*SizeX;
   Client->Fractal->un = CenterY+StepY-0.5*SizeY;
   Client->Fractal->ob = CenterY+StepY+0.5*SizeY;
   Client->Fractal->ReInit();
   //Client->Fractal->ZoomIn((int)ZoomPosX,(int)ZoomPosY, Client->ZoomFactorAnimation);
   Client->update();
   
   connect(Client, SIGNAL(FertigSig()), this, SLOT(Berechnung()));

   IterSave = Client->Fractal->MaxIter;
}

void ZoomAnimDlg::Berechnung() {
QString Name,Help;

   if (EmergencyExit) {
      return;
   }
   PicCount++;
printf("Berechnung: PicCount=%d\n",PicCount);   

   // speichern
   Name.sprintf(Client->Fractal->FileMask, Client->Fractal->FileCount);
   // Help = TRS("Saving ")+Name;
   Help = MandelDir.absPath() + "/" + Name+".bmp";
   StatusLab->setText("Speichere "+Help);
   Client->SaveImage(Help.data());
   Client->Fractal->FileCount++;
   
   ProgressBar->setValue(PicCount);

   // Bilderanzahl ist erreicht, Animation wird beendet
   if ( (PicCount>Client->ZoomAnimationPics) || Stopped) {
      // vorher die Parameter speichern
      Name.sprintf(Client->Fractal->FileMask, Client->Fractal->FileCount-1);
      Help = MandelDir.absPath() + "/" + Name+".par";
      Client->WriteParams(&Help);
      EmergencyExit=TRUE;
printf("Zoomanim- writeparams  %s\n",Help.data());
      close();
      return;
   } else {
      //ZoomPosX = (Client->GetSizeX()/2.0+StepX);
      //ZoomPosY = (Client->GetSizeY()/2.0+StepY);
      //printf("Zpx=%d  Zpy=%d\n",ZoomPosX,ZoomPosY);
      Client->AbortCalc();
      Client->Fractal->MaxIter = IterSave + Client->IterIncrement*PicCount/10;
      SizeX = SizeX/Client->ZoomFactorAnimation;
      SizeY = SizeY/Client->ZoomFactorAnimation;
      Client->Fractal->li = CenterX+PicCount*StepX-0.5*SizeX;
      Client->Fractal->re = CenterX+PicCount*StepX+0.5*SizeX;
      Client->Fractal->un = CenterY+PicCount*StepY-0.5*SizeY;
      Client->Fractal->ob = CenterY+PicCount*StepY+0.5*SizeY;
      Client->Fractal->ReInit();
/*printf("li=%7.4f  re=%7.4f  un=%7.4f  ob=%7.4f\n",
Client->Fractal->li,
Client->Fractal->re,
Client->Fractal->un,
Client->Fractal->ob);*/
      //Client->Fractal->ZoomIn((int)ZoomPosX,(int)ZoomPosY, Client->ZoomFactorAnimation);

      Name.sprintf(Client->Fractal->FileMask, Client->Fractal->FileCount);
      StatusLab->setText("Berechne "+Name);
      Client->update();
   }
   
printf("Berechnung - Ende %d\n",PicCount);
}

void ZoomAnimDlg::Stop() {
   Stopped = TRUE;
   close();
}