#ifndef DLGZOOMANIM_H
#define DLGZOOMANIM_H

#include <qdialog.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qpushbt.h>
#include <qlined.h>
#include <kspinbox.h>
#include <kprogress.h>

#include "basefrac.h"
#include "kmandel.h"

class ZoomAnimDlg : public QDialog
{
Q_OBJECT
public:
   ZoomAnimDlg(DrawWidget* Clnt, int ZX, int ZY, QWidget* parent=0, const char* name=0);
   
signals:

private slots:
   void Berechnung();
   void Stop();

private:
   DrawWidget *Client;
   KProgress * ProgressBar;
   QLabel *StatusLab;
   double StepX, StepY;
   double ZoomPosX,ZoomPosY;
   double CenterX, CenterY;   // geklickter Punkt, am Ende in der Mitte
   double SizeX, SizeY;       // Gre des Ausschnittes
   int PicCount;
   int Stopped;
   int IterSave;
   int EmergencyExit;
};

#endif