#ifndef DLGZOOMSETTINGS_H
#define DLGZOOMSETTINGS_H

#include <qdialog.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qpushbt.h>
#include <qpixmap.h>
#include <qwindow.h>

#include <qbttngrp.h>
#include <qradiobt.h>
#include <ktopwidget.h>
#include <kspinbox.h>
#include <kslider.h>
#include <kspinbox.h>
#include "basefrac.h"

#include "kmandel.h"

class ZoomSettingsDlg : public QDialog
{
Q_OBJECT
public:
   ZoomSettingsDlg(DrawWidget* iClient, QWidget* parent=0, const char* name=0);
   int SetValues();   // genderte Werte setzen
signals:

private slots:
   void SetDefaults();
   void ZMValChange(int Val);
   void ZMAnimValChange(int Val);
   
private:
   DrawWidget* Client;
   QLineEdit* ZoomEdit,*AnimEdit;
   KSlider* ZoomSlider, *AnimSlider;
   KNumericSpinBox* PicSpin, *IterSpin;
};

#endif