#include "komplex.h"

struct komplex eins = {1,0};  // "1" als komplexe Zahl

struct komplex cadd(struct komplex a, struct komplex b) {
// komplexe Addition
struct komplex h;
  h.re = a.re+b.re;
  h.im = a.im+b.im;
  return h;
}

struct komplex csub(struct komplex a, struct komplex b) {
// komplexe Subtraktion
struct komplex h;
  h.re = a.re-b.re;
  h.im = a.im-b.im;
  return h;
}

struct komplex cmul(struct komplex a, struct komplex b) {
// komplexe Multiplikation
struct komplex h;
  h.re = a.re*b.re - a.im*b.im;
  h.im = a.re*b.im + a.im*b.re;
  return h;
}

struct komplex cdiv(struct komplex a, struct komplex b) {
// komplexe Division
struct komplex h;
double nenner;
  nenner = b.re*b.re  + b.im*b.im;
  h.re   = (a.re*b.re + a.im*b.im) / nenner;
  h.im   = (a.im*b.re - a.re*b.im) / nenner;
  return h;
}

double cbet(struct komplex a) {
// Betrach einer Komplexen Zahl
  return sqrt(a.re*a.re + a.im*a.im);
}

double cbet1(struct komplex a) {
// Betrag ohne Wurzel
  return a.re*a.re + a.im*a.im;
}

